# 201003261108 = alpha8
%define		internal 201003261108

Name:		salasaga
Version:	0.8.0
Release:	%mkrel 4
Summary:	An Integrated Development Environment for producing Elearning
License:	GPLv3, LGPLv3
Group:		Education
URL:		http://www.salasaga.org
#Source0:	http://www.salasaga.org/downloads/alpha7/%{name}-%{version}-%{internal}.tar.bz2
Source0:		http://sourceforge.net/projects/salasaga/files/Development%20Snapshots/Salasaga%200.8.0-alpha8%20snapshots/%{name}_%{internal}.tar.bz2
Patch0:		salasaga_screencapture_c.patch
BuildRequires:	autoconf 
BuildRequires:	automake 
BuildRequires:	libtool 
BuildRequires:	x11-proto-devel 
BuildRequires:	libgnome2-devel
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	ming-devel 
BuildRequires:	libnotify-devel

BuildRequires:	desktop-file-utils

Requires:	libgnome2 
Requires:	libnotify

Requires:	libming1

%description
A free, easy to use GUI authoring environment that helps you create
visually impressive, useful learning material.

%prep
%setup -q -n %{name}
%patch0

%build
./autogen.sh
export LDFLAGS="$LDFLAGS -lm"
%configure
%make

%install
rm -rf %{buildroot}
%makeinstall_std

desktop-file-install --vendor="" \
			--dir %{buildroot}%{_datadir}/applications \
			--remove-category="GTK" \
			--add-category="Education" \
			%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/%{name}_screencapture
%{_datadir}/pixmaps/%{name}-icon.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}



%changelog

* Mon Jan 14 2013 umeabot <umeabot> 0.8.0-4.mga3
+ Revision: 381661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Apr 02 2012 matteo <matteo> 0.8.0-3.mga2
+ Revision: 227868
- new sources
- added Education category to the desktop file
- fixed requires

* Tue Oct 04 2011 matteo <matteo> 0.8.0-2.mga2
+ Revision: 151552
- increased release number
- switched from gtk+2.0-devel to pkgconfig(gtk+-2.0)

* Wed Sep 07 2011 matteo <matteo> 0.8.0-1.mga2
+ Revision: 140875
- switched back to libgnome2-devel and libgtk+2.0-devel
- reverted to previous revision and added gtk+2.0-devel buildrequirement
- switched buildrequire from gnome2-devel to libgnome2-devel
- fixed license
- fixed some warning by rpmlint
- imported package salasaga

